This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Microsoft SQL Server(DBaaS)

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Microsoft SQL Server(DBaaS) service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionStatusNot Before
1.1CURRENT-
1.0SUPPORTED20261031

OpenAPI URL

https://sqlserver.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

API Version History

1.1

API version 1.1 release for Microsoft SQL Server(DBaaS)

Changes

  • [New] POST /sqlserver/v1.1/clusters/<dr_secondary_cluster_id>/dr-secondaries - CreateDrSecondary API has been added.
  • [New] POST /sqlserver/v1.1/clusters/<dr_secondary_cluster_id>/dr-secondaries/sync-state - SyncDrSecondaryState API has been added.
  • [New] GET /sqlserver/v1.1/clusters/{cluster_id}/dr-secondaries - ListDrSecondaries API has been added.
  • [New] POST /sqlserver/v1.1/clusters/<dr_secondary_cluster_id>/dr-secondaries/promote - PromoteDrSecondary API has been added.
  • [New] POST /sqlserver/1.1/clusters/{cluster_id}/backups/manual - CreateManualBackup API has been added.
  • [New] GET /sqlserver/1.1/clusters/{cluster_id}/instances/{instance_name} - ShowInstance API has been added.
  • [Changed] POST /sqlserver/v1.1/clusters/{cluster_id}/add-secondary - AddSecondary API has been changed.
    • The following fields are added to the request:
      • ad_user_id
      • ad_user_password
  • [Changed] POST /sqlserver/1.1/clusters - CreateCluster API has been changed.
    • The following fields are added to the request:
      • service_watch_log_collection
      • ad_enabled
      • ad_config
  • [Changed] GET /sqlserver/1.1/clusters/{cluster_id} - ShowCluster API has been changed.
    • The following fields are added to the response:
      • service_watch_log_collection
      • ad_enabled
      • ad_config

1.0

Initial API release for Microsoft SQL Server(DBaaS)

Changes

  • [New] POST /sqlserver/1.0/block-storage-groups/{block_storage_group_id}/resize - SetBlockStorageSize 1.0 API has been added.
  • [New] GET /sqlserver/1.0/clusters - ListClusters 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters - CreateCluster 1.0 API has been added.
  • [New] DELETE /sqlserver/1.0/clusters/{cluster_id} - DeleteCluster 1.0 API has been added.
  • [New] GET /sqlserver/1.0/clusters/{cluster_id} - ShowCluster 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/add-secondary - AddSecondary 1.0 API has been added.
  • [New] PUT /sqlserver/1.0/clusters/{cluster_id}/audit-log - SetAuditLog 1.0 API has been added.
  • [New] GET /sqlserver/1.0/clusters/{cluster_id}/backup-histories - ListBackupHistories 1.0 API has been added.
  • [New] PUT /sqlserver/1.0/clusters/{cluster_id}/backup-histories - RemoveBackupHistories 1.0 API has been added.
  • [New] DELETE /sqlserver/1.0/clusters/{cluster_id}/backups - UnsetBackup 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/backups - SetBackup 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/databases - SetDatabases 1.0 API has been added.
  • [New] GET /sqlserver/1.0/clusters/{cluster_id}/log-export-configs - ListLogExportConfigs 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/log-export-configs - RegisterLogExportConfig 1.0 API has been added.
  • [New] DELETE /sqlserver/1.0/clusters/{cluster_id}/log-export-configs/{log_type} - UnregisterLogExportConfig 1.0 API has been added.
  • [New] PUT /sqlserver/1.0/clusters/{cluster_id}/log-export-configs/{log_type} - SetLogExportConfig 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/log-export-configs/{log_type}/export - ExportLog 1.0 API has been added.
  • [New] DELETE /sqlserver/1.0/clusters/{cluster_id}/maintenance - UnsetMaintenance 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/maintenance - SetMaintenance 1.0 API has been added.
  • [New] GET /sqlserver/1.0/clusters/{cluster_id}/parameters - ListParameterValues 1.0 API has been added.
  • [New] PUT /sqlserver/1.0/clusters/{cluster_id}/parameters - SetParameterValues 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/parameters/sync - SyncParameterValues 1.0 API has been added.
  • [New] PUT /sqlserver/1.0/clusters/{cluster_id}/patch - PatchMinorVersion 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/restart - RestartCluster 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/restore - CreateRestore 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/security-group-rules - SetSecurityGroupRules 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/start - StartCluster 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/stop - StopCluster 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/switchover - SwitchoverCluster 1.0 API has been added.
  • [New] POST /sqlserver/1.0/clusters/{cluster_id}/sync-state - SyncClusterState 1.0 API has been added.
  • [New] GET /sqlserver/1.0/engine-versions - ListEngineVersions 1.0 API has been added.
  • [New] GET /sqlserver/1.0/engine-versions/{dbaas_engine_version_id}/properties - ListEngineVersionProperties 1.0 API has been added.
  • [New] POST /sqlserver/1.0/instance-groups/{instance_group_id}/block-storage-groups - AddBlockStorages 1.0 API has been added.
  • [New] POST /sqlserver/1.0/instance-groups/{instance_group_id}/resize - SetServerType 1.0 API has been added.
  • [New] GET /sqlserver/1.0/parameter-groups - ListParameterGroups 1.0 API has been added.
  • [New] GET /sqlserver/1.0/parameters - ListParameters 1.0 API has been added.
  • [New] GET /sqlserver/1.0/requests/{request_id} - ShowRequest 1.0 API has been added.
  • [New] GET /sqlserver/1.0/server-types - ListServerTypes 1.0 API has been added.

1 - APIs

1.1 - Add Block Storages

1.1.1 - 1.1

post /v1/instance-groups/{instance_group_id}/block-storage-groups

Description

Add Block Storages.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

SqlserverAddBlockStoragesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/block-storage-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "role_type": "OS",
    "size_gb": 104,
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.1.2 - 1.0

post /v1/instance-groups/{instance_group_id}/block-storage-groups

Description

Add Block Storages.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

SqlserverAddBlockStoragesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/block-storage-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "role_type": "OS",
    "size_gb": 104,
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.2 - Add DR Secondary

1.2.1 - 1.1

post /v1/clusters/{cluster_id}/dr-secondaries

Description

Add DR Secondary.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

SqlserverDrSecondaryCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/dr-secondaries

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "ad_user_id": "aduser123",
    "ad_user_password": "test123!",
    "license": "",
    "name": "",
    "region": "",
    "service_ip_address": "",
    "subnet_id": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.3 - Add Secondary

1.3.1 - 1.1

post /v1/clusters/{cluster_id}/add-secondary

Description

Add Secondary.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

SqlserverAddSecondaryRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/add-secondary

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "ad_user_id": "",
    "ad_user_password": "test123!",
    "license": "",
    "name": "",
    "service_ip_address": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.3.2 - 1.0

post /v1/clusters/{cluster_id}/add-secondary

Description

Add Secondary.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

SqlserverAddSecondaryRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/add-secondary

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "ad_user_id": "",
    "ad_user_password": "test123!",
    "license": "",
    "name": "",
    "service_ip_address": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.4 - Add/Remove Databases

1.4.1 - 1.1

post /v1/clusters/{cluster_id}/databases

Description

Add/Remove Databases.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

SqlserverUpdateDatabasesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/databases

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "add_databases": [],
    "del_databases": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.4.2 - 1.0

post /v1/clusters/{cluster_id}/databases

Description

Add/Remove Databases.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

SqlserverUpdateDatabasesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/databases

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "add_databases": [],
    "del_databases": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.5 - Create Cluster

1.5.1 - 1.1

post /v1/clusters

Description

Create Cluster.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SqlserverClusterCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "allowable_ip_addresses": [],
    "dbaas_engine_version_id": "c1b856dd12754c0ba2614a39d0ed3ad1",
    "ha_enabled": false,
    "init_config_option": {
        "ad_config": {
            "ad_dns_servers": [
                ""
            ],
            "ad_domain_name": "",
            "ad_netbios_name": "",
            "ad_user_id": "",
            "ad_user_password": "test123!",
            "failover_cluster_name": ""
        },
        "ad_enabled": false,
        "audit_enabled": false,
        "backup_option": {
            "archive_frequency_minute": "",
            "full_backup_day_of_week": "SUN",
            "retention_period_day": "7",
            "starting_time_hour": "2"
        },
        "database_collation": "SQL_Latin1_General_CP1_CI_AS",
        "database_name": "",
        "database_port": 2866,
        "database_service_name": "Sqldbadmin",
        "database_user_name": "mydatabaseusr",
        "database_user_password": "test123!",
        "databases": [
            {
                "database_name": "",
                "drive_letter": "E"
            }
        ],
        "license": "AAAAA-AAAAA-AAAAA-AAAAA"
    },
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "OS",
                    "size_gb": 104,
                    "volume_type": "SSD"
                },
                {
                    "role_type": "DATA",
                    "size_gb": 56,
                    "volume_type": "SSD"
                }
            ],
            "instances": [
                {
                    "public_ip_id": "",
                    "role_type": "ACTIVE",
                    "service_ip_address": "192.168.10.10/32"
                }
            ],
            "role_type": "ACTIVE",
            "server_type_name": "db1v2m4"
        }
    ],
    "instance_name_prefix": "",
    "maintenance_option": {
        "period_hour": "5",
        "starting_day_of_week": "MON",
        "starting_time": "0000"
    },
    "name": "mycluster",
    "nat_enabled": false,
    "service_watch_log_collection": true,
    "subnet_id": "1ddd7f1e4a8a43ed8b82d70cade0b321",
    "tags": [],
    "timezone": "Asia/Seoul",
    "vip_public_ip_id": "",
    "virtual_ip_address": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.5.2 - 1.0

post /v1/clusters

Description

Create Cluster.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SqlserverClusterCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "dbaas_engine_version_id": "c1b856dd12754c0ba2614a39d0ed3ad1",
    "ha_enabled": false,
    "init_config_option": {
        "ad_config": {
            "ad_dns_servers": [
                ""
            ],
            "ad_domain_name": "",
            "ad_netbios_name": "",
            "ad_user_id": "",
            "ad_user_password": "test123!",
            "failover_cluster_name": ""
        },
        "ad_enabled": false,
        "audit_enabled": false,
        "backup_option": {
            "archive_frequency_minute": "",
            "full_backup_day_of_week": "SUN",
            "retention_period_day": "7",
            "starting_time_hour": "2"
        },
        "database_collation": "SQL_Latin1_General_CP1_CI_AS",
        "database_name": "",
        "database_port": 2866,
        "database_service_name": "Sqldbadmin",
        "database_user_name": "mydatabaseusr",
        "database_user_password": "test123!",
        "databases": [
            {
                "database_name": "",
                "drive_letter": "E"
            }
        ],
        "license": "AAAAA-AAAAA-AAAAA-AAAAA"
    },
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "OS",
                    "size_gb": 104,
                    "volume_type": "SSD"
                },
                {
                    "role_type": "DATA",
                    "size_gb": 56,
                    "volume_type": "SSD"
                }
            ],
            "instances": [
                {
                    "public_ip_id": "",
                    "role_type": "ACTIVE",
                    "service_ip_address": "192.168.10.10/32"
                }
            ],
            "role_type": "ACTIVE",
            "server_type_name": "db1v2m4"
        }
    ],
    "instance_name_prefix": "",
    "maintenance_option": {
        "period_hour": "5",
        "starting_day_of_week": "MON",
        "starting_time": "0000"
    },
    "name": "mycluster",
    "nat_enabled": false,
    "subnet_id": "1ddd7f1e4a8a43ed8b82d70cade0b321",
    "tags": [],
    "timezone": "Asia/Seoul",
    "vip_public_ip_id": "",
    "virtual_ip_address": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.6 - Create Restore Cluster

1.6.1 - 1.1

post /v1/clusters/{cluster_id}/restore

Description

Create Restore Cluster.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

ClusterRestoreRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restore

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "allowable_ip_addresses": [],
    "backup_history_number": "202501010000",
    "backup_recovery_time": "",
    "block_storage_groups": [],
    "instance_name_prefix": "myprefix",
    "maintenance_option": {
        "period_hour": "5",
        "starting_day_of_week": "MON",
        "starting_time": "0000"
    },
    "name": "mycluster",
    "server_type_name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.6.2 - 1.0

post /v1/clusters/{cluster_id}/restore

Description

Create Restore Cluster.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

ClusterRestoreRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restore

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "backup_history_number": "202501010000",
    "backup_recovery_time": "",
    "block_storage_groups": [],
    "instance_name_prefix": "myprefix",
    "maintenance_option": {
        "period_hour": "5",
        "starting_day_of_week": "MON",
        "starting_time": "0000"
    },
    "name": "mycluster",
    "server_type_name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.7 - Export Log

1.7.1 - 1.1

post /v1/clusters/{cluster_id}/log-export-configs/{log_type}/export

Description

Export Log.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}/export

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.7.2 - 1.0

post /v1/clusters/{cluster_id}/log-export-configs/{log_type}/export

Description

Export Log.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}/export

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.8 - List Backup Histories

1.8.1 - 1.1

get /v1/clusters/{cluster_id}/backup-histories

Description

List Backup Histories.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
querylimit
optional
Number of backup lists
Example :
any of [integer, null]None
querypage
optional
Backup list page
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupHistoryListApiResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_end_at": "",
            "backup_history_number": "",
            "backup_size_gb": "",
            "backup_start_at": "",
            "backup_state": "",
            "backup_state_detail": "",
            "software_version": ""
        }
    ],
    "total_count": ""
}

1.8.2 - 1.0

get /v1/clusters/{cluster_id}/backup-histories

Description

List Backup Histories.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
querylimit
optional
Number of backup lists
Example :
any of [integer, null]None
querypage
optional
Backup list page
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupHistoryListApiResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_end_at": "",
            "backup_history_number": "",
            "backup_size_gb": "",
            "backup_start_at": "",
            "backup_state": "",
            "backup_state_detail": "",
            "software_version": ""
        }
    ],
    "total_count": ""
}

1.9 - List Clusters

1.9.1 - 1.1

get /v1/clusters

Description

List Clusters.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None
querydatabase_name
optional
Database Name
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKRdbClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "database_name": "",
            "ha_enabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.9.2 - 1.0

get /v1/clusters

Description

List Clusters.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None
querydatabase_name
optional
Database Name
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKRdbClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "database_name": "",
            "ha_enabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.10 - List DR Secondaries

1.10.1 - 1.1

get /v1/clusters/{cluster_id}/dr-secondaries

Description

List DR Secondaries.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSqlserverDrSecondariesListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/dr-secondaries

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "check_time": "",
            "name": "",
            "region_nm": "",
            "state": "",
            "state_detail": ""
        }
    ],
    "count": ""
}

1.11 - List Engine Version Properties

1.11.1 - 1.1

get /v1/engine-versions/{dbaas_engine_version_id}/properties

Description

List Engine Version Properties.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathdbaas_engine_version_id
required
DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEnginePropertyListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions/{dbaas_engine_version_id}/properties

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "name": "",
            "value": ""
        }
    ]
}

1.11.2 - 1.0

get /v1/engine-versions/{dbaas_engine_version_id}/properties

Description

List Engine Version Properties.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathdbaas_engine_version_id
required
DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEnginePropertyListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions/{dbaas_engine_version_id}/properties

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "name": "",
            "value": ""
        }
    ]
}

1.12 - List Engine Versions

1.12.1 - 1.1

get /v1/engine-versions

Description

List Engine Versions.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryid
optional
DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint.
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null]None
queryeos_included
optional
EoS included
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKEngineListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "end_of_service": false,
            "id": "",
            "major_version": "",
            "name": "",
            "os_type": "",
            "os_version": "",
            "product_image_type": "",
            "software_version": ""
        }
    ]
}

1.12.2 - 1.0

get /v1/engine-versions

Description

List Engine Versions.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
queryid
optional
DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint.
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null]None
queryeos_included
optional
EoS included
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKEngineListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "end_of_service": false,
            "id": "",
            "major_version": "",
            "name": "",
            "os_type": "",
            "os_version": "",
            "product_image_type": "",
            "software_version": ""
        }
    ]
}

1.13 - List Log Export Configs

1.13.1 - 1.1

get /v1/clusters/{cluster_id}/log-export-configs

Description

List Log Export Configs.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
querytype
optional
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
200OKLogExportConfigListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "bucket_name": "examplebucket",
            "delete_on_export": true,
            "is_bucket_deleted": false,
            "is_registered": true,
            "log_label": "DB Alert Log",
            "log_type": "alert",
            "schedule_day_of_month": "28",
            "schedule_day_of_week": "MON",
            "schedule_frequency_type": "DAY",
            "schedule_hour": "12"
        }
    ],
    "count": 1
}

1.13.2 - 1.0

get /v1/clusters/{cluster_id}/log-export-configs

Description

List Log Export Configs.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
querytype
optional
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
200OKLogExportConfigListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "bucket_name": "examplebucket",
            "delete_on_export": true,
            "is_bucket_deleted": false,
            "is_registered": true,
            "log_label": "DB Alert Log",
            "log_type": "alert",
            "schedule_day_of_month": "28",
            "schedule_day_of_week": "MON",
            "schedule_frequency_type": "DAY",
            "schedule_hour": "12"
        }
    ],
    "count": 1
}

1.14 - List Parameter Groups

1.14.1 - 1.1

get /v1/parameter-groups

Description

List Parameter Groups.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querymajor_version
optional
Software major version
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKParameterGroupListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/parameter-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "id": "",
            "major_version": "",
            "name": "",
            "product_image_type": "",
            "product_type": ""
        }
    ],
    "sort": [
        ""
    ]
}

1.14.2 - 1.0

get /v1/parameter-groups

Description

List Parameter Groups.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
querymajor_version
optional
Software major version
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKParameterGroupListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/parameter-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "id": "",
            "major_version": "",
            "name": "",
            "product_image_type": "",
            "product_type": ""
        }
    ],
    "sort": [
        ""
    ]
}

1.15 - List Parameter Values

1.15.1 - 1.1

get /v1/clusters/{cluster_id}/parameters

Description

List Parameter Values.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
200OKParametersResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "allows_value": "",
            "applied_value": "",
            "apply_type": "",
            "data_type": "",
            "default_value": "",
            "description": "",
            "id": "",
            "is_modifiable": "",
            "name": "",
            "software_type": ""
        }
    ],
    "count": "",
    "modified_at": ""
}

1.15.2 - 1.0

get /v1/clusters/{cluster_id}/parameters

Description

List Parameter Values.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
200OKParametersResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "allows_value": "",
            "applied_value": "",
            "apply_type": "",
            "data_type": "",
            "default_value": "",
            "description": "",
            "id": "",
            "is_modifiable": "",
            "name": "",
            "software_type": ""
        }
    ],
    "count": "",
    "modified_at": ""
}

1.16 - List Parameters

1.16.1 - 1.1

get /v1/parameters

Description

List Parameters.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
querydbaas_parameter_group_id
required
Parameter group ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKParameterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/parameters?dbaas_parameter_group_id={dbaas_parameter_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "dbaas_parameter_group_id": "",
            "default_value": "",
            "description": "",
            "id": "",
            "name": "",
            "software_type": ""
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.16.2 - 1.0

get /v1/parameters

Description

List Parameters.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
querydbaas_parameter_group_id
required
Parameter group ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKParameterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/parameters?dbaas_parameter_group_id={dbaas_parameter_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "dbaas_parameter_group_id": "",
            "default_value": "",
            "description": "",
            "id": "",
            "name": "",
            "software_type": ""
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.17 - List Server Types

1.17.1 - 1.1

get /v1/server-types

Description

List Server Types.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server type name
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerTypeListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/server-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cpu_core": "",
            "description": "",
            "memory_gb": "",
            "name": "",
            "product_image_type": "",
            "product_type": "",
            "purpose": "",
            "type": ""
        }
    ]
}

1.17.2 - 1.0

get /v1/server-types

Description

List Server Types.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server type name
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerTypeListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/server-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cpu_core": "",
            "description": "",
            "memory_gb": "",
            "name": "",
            "product_image_type": "",
            "product_type": "",
            "purpose": "",
            "type": ""
        }
    ]
}

1.18 - Manual Backup

1.18.1 - 1.1

post /v1/clusters/{cluster_id}/backups/manual

Description

Manual Backup.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups/manual

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.19 - Patch Minor Version

1.19.1 - 1.1

put /v1/clusters/{cluster_id}/patch

Description

Patch Minor Version.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

MinorPatchRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/patch

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "software_version": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.19.2 - 1.0

put /v1/clusters/{cluster_id}/patch

Description

Patch Minor Version.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

MinorPatchRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/patch

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "software_version": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.20 - Promote DR Secondary

1.20.1 - 1.1

put /v1/clusters/{cluster_id}/dr-secondaries/promote

Description

Promote DR Secondary.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/dr-secondaries/promote

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.21 - Register Log Export Config

1.21.1 - 1.1

post /v1/clusters/{cluster_id}/log-export-configs

Description

Register Log Export Config.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

LogExportConfigCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "bucket_name": "examplebucket",
    "delete_on_export": true,
    "log_type": "alert",
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.21.2 - 1.0

post /v1/clusters/{cluster_id}/log-export-configs

Description

Register Log Export Config.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

LogExportConfigCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "bucket_name": "examplebucket",
    "delete_on_export": true,
    "log_type": "alert",
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.22 - Remove Backup Histories

1.22.1 - 1.1

put /v1/clusters/{cluster_id}/backup-histories

Description

Remove Backup Histories.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

BackupHistoryNumberRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "backup_history_number": [
        ""
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.22.2 - 1.0

put /v1/clusters/{cluster_id}/backup-histories

Description

Remove Backup Histories.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

BackupHistoryNumberRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "backup_history_number": [
        ""
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.23 - Restart Cluster

1.23.1 - 1.1

post /v1/clusters/{cluster_id}/restart

Description

Restart Cluster.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restart

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.23.2 - 1.0

post /v1/clusters/{cluster_id}/restart

Description

Restart Cluster.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restart

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.24 - Set Audit Log

1.24.1 - 1.1

put /v1/clusters/{cluster_id}/audit-log

Description

Set Audit Log.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

AuditLogRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/audit-log

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "use_audit_log": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.24.2 - 1.0

put /v1/clusters/{cluster_id}/audit-log

Description

Set Audit Log.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

AuditLogRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/audit-log

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "use_audit_log": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.25 - Set Backup

1.25.1 - 1.1

post /v1/clusters/{cluster_id}/backups

Description

Set Backup.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

SqlserverBackupSettingRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "archive_frequency_minute": "",
    "full_backup_day_of_week": "SUN",
    "retention_period_day": "",
    "starting_time_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.25.2 - 1.0

post /v1/clusters/{cluster_id}/backups

Description

Set Backup.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

SqlserverBackupSettingRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "archive_frequency_minute": "",
    "full_backup_day_of_week": "SUN",
    "retention_period_day": "",
    "starting_time_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.26 - Set Block Storage Size

1.26.1 - 1.1

post /v1/block-storage-groups/{block_storage_group_id}/resize

Description

Set Block Storage Size.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathblock_storage_group_id
required
Block storage group ID
Example : afc33891202643ba8ba1a5298a1affff
stringNone
bodybody
required

ResizeBlockStorageGroupRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/block-storage-groups/{block_storage_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "size_gb": 16
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.26.2 - 1.0

post /v1/block-storage-groups/{block_storage_group_id}/resize

Description

Set Block Storage Size.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathblock_storage_group_id
required
Block storage group ID
Example : afc33891202643ba8ba1a5298a1affff
stringNone
bodybody
required

ResizeBlockStorageGroupRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/block-storage-groups/{block_storage_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "size_gb": 16
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.27 - Set Log Export Config

1.27.1 - 1.1

put /v1/clusters/{cluster_id}/log-export-configs/{log_type}

Description

Set Log Export Config.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None
bodybody
required

LogExportConfigModifyRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "delete_on_export": true,
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.27.2 - 1.0

put /v1/clusters/{cluster_id}/log-export-configs/{log_type}

Description

Set Log Export Config.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None
bodybody
required

LogExportConfigModifyRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "delete_on_export": true,
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.28 - Set Maintenance

1.28.1 - 1.1

post /v1/clusters/{cluster_id}/maintenance

Description

Set Maintenance.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

MaintenanceRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "start_day_of_week": "MON",
    "start_minute": "",
    "start_time": "",
    "term_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.28.2 - 1.0

post /v1/clusters/{cluster_id}/maintenance

Description

Set Maintenance.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

MaintenanceRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "start_day_of_week": "MON",
    "start_minute": "",
    "start_time": "",
    "term_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.29 - Set Parameter Values

1.29.1 - 1.1

put /v1/clusters/{cluster_id}/parameters

Description

Set Parameter Values.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

ParametersRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "parameters": [
        {
            "id": "",
            "new_value": "",
            "old_value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.29.2 - 1.0

put /v1/clusters/{cluster_id}/parameters

Description

Set Parameter Values.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

ParametersRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "parameters": [
        {
            "id": "",
            "new_value": "",
            "old_value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.30 - Set Security Group Rules

1.30.1 - 1.1

post /v1/clusters/{cluster_id}/security-group-rules

Description

Set Security Group Rules.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

UpdateSecurityGroupRulesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/security-group-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "add_ip_addresses": [],
    "del_ip_addresses": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.30.2 - 1.0

post /v1/clusters/{cluster_id}/security-group-rules

Description

Set Security Group Rules.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

UpdateSecurityGroupRulesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/security-group-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "add_ip_addresses": [],
    "del_ip_addresses": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.31 - Set Server Type

1.31.1 - 1.1

post /v1/instance-groups/{instance_group_id}/resize

Description

Set Server Type.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

InstanceGroupResizeRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Request body

{
    "server_type_name": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.31.2 - 1.0

post /v1/instance-groups/{instance_group_id}/resize

Description

Set Server Type.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

InstanceGroupResizeRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "server_type_name": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.32 - Show Cluster

1.32.1 - 1.1

get /v1/clusters/{cluster_id}

Description

Show Cluster.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSqlserverClusterDetailResponseV1Dot1
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "account_id": "",
    "allowable_ip_addresses": [],
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "dbaas_engine": "",
    "dbaas_engine_version_name": "",
    "ha_enabled": false,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "init_config_option": {
        "ad_config": {
            "ad_dns_servers": [
                ""
            ],
            "ad_domain_name": "",
            "ad_netbios_name": "",
            "ad_user_id": "",
            "failover_cluster_name": ""
        },
        "ad_enabled": false,
        "audit_enabled": false,
        "backup_option": {
            "archive_frequency_minute": "",
            "full_backup_day_of_week": "SUN",
            "retention_period_day": "7",
            "starting_time_hour": "2"
        },
        "database_collation": "SQL_Latin1_General_CP1_CI_AS",
        "database_port": 2866,
        "database_service_name": "",
        "database_user_name": "",
        "databases": [
            {
                "database_name": "",
                "drive_letter": "E"
            }
        ]
    },
    "instance_count": 0,
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "drive_letter": "",
                    "id": "",
                    "name": "",
                    "role_type": "OS",
                    "size_gb": "",
                    "volume_type": "SSD"
                }
            ],
            "id": "",
            "instances": [
                {
                    "name": "",
                    "public_ip_address": "",
                    "public_ip_id": "",
                    "role_type": "",
                    "service_ip_address": "",
                    "service_state": "RUNNING"
                }
            ],
            "role_type": "",
            "server_type_name": ""
        }
    ],
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": "",
        "use_maintenance_option": false
    },
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "",
    "nat_enabled": false,
    "product_image_type": "",
    "product_type": "",
    "role_type": "ORIGIN",
    "service_state": "RUNNING",
    "service_watch_log_collection": false,
    "software_version": "",
    "subnet_id": "",
    "timezone": "",
    "vip_public_ip_address": "",
    "vip_public_ip_id": "",
    "virtual_ip_address": ""
}

1.32.2 - 1.0

get /v1/clusters/{cluster_id}

Description

Show Cluster.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSqlserverClusterDetailResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 200

{
    "account_id": "",
    "allowable_ip_addresses": [],
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "dbaas_engine": "",
    "dbaas_engine_version_name": "",
    "ha_enabled": false,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "init_config_option": {
        "ad_config": {
            "ad_dns_servers": [
                ""
            ],
            "ad_domain_name": "",
            "ad_netbios_name": "",
            "ad_user_id": "",
            "failover_cluster_name": ""
        },
        "ad_enabled": false,
        "audit_enabled": false,
        "backup_option": {
            "archive_frequency_minute": "",
            "full_backup_day_of_week": "SUN",
            "retention_period_day": "7",
            "starting_time_hour": "2"
        },
        "database_collation": "SQL_Latin1_General_CP1_CI_AS",
        "database_port": 2866,
        "database_service_name": "",
        "database_user_name": "",
        "databases": [
            {
                "database_name": "",
                "drive_letter": "E"
            }
        ]
    },
    "instance_count": 0,
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "drive_letter": "",
                    "id": "",
                    "name": "",
                    "role_type": "OS",
                    "size_gb": "",
                    "volume_type": "SSD"
                }
            ],
            "id": "",
            "instances": [
                {
                    "name": "",
                    "public_ip_address": "",
                    "public_ip_id": "",
                    "role_type": "",
                    "service_ip_address": "",
                    "service_state": "RUNNING"
                }
            ],
            "role_type": "",
            "server_type_name": ""
        }
    ],
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": "",
        "use_maintenance_option": false
    },
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "",
    "nat_enabled": false,
    "product_image_type": "",
    "product_type": "",
    "role_type": "ORIGIN",
    "service_state": "RUNNING",
    "software_version": "",
    "subnet_id": "",
    "timezone": "",
    "vip_public_ip_address": "",
    "vip_public_ip_id": "",
    "virtual_ip_address": ""
}

1.33 - Show Instance

1.33.1 - 1.1

get /v1/clusters/{cluster_id}/instances/{instance_name}

Description

Show Instance.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
pathinstance_name
required
Instance name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInstanceDetailResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/instances/{instance_name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "account_id": "",
    "block_storages": [
        {
            "name": "",
            "role_type": "OS",
            "size_gb": "",
            "volume_type": "SSD"
        }
    ],
    "cluster_id": "",
    "cluster_name": "",
    "cpu_core": "",
    "created_at": "2024-01-15T10:30:00.000Z",
    "created_by": "",
    "dbaas_engine": "",
    "memory_gb": "",
    "modified_at": "2024-01-15T10:30:00.000Z",
    "modified_by": "",
    "name": "",
    "os_type": "",
    "os_version": "",
    "product_image_type": "",
    "product_type": "",
    "public_ip_address": "",
    "public_ip_id": "",
    "region": "",
    "role_type": "",
    "server_type_name": "",
    "service_ip_address": "",
    "service_state": "RUNNING",
    "software_version": "",
    "zone": ""
}

1.34 - Show Request

1.34.1 - 1.1

get /v1/requests/{request_id}

Description

Show Request.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRequestStateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 200

{
    "request_id": "",
    "state": ""
}

1.34.2 - 1.0

get /v1/requests/{request_id}

Description

Show Request.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRequestStateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 200

{
    "request_id": "",
    "state": ""
}

1.35 - Start Cluster

1.35.1 - 1.1

post /v1/clusters/{cluster_id}/start

Description

Start Cluster.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.35.2 - 1.0

post /v1/clusters/{cluster_id}/start

Description

Start Cluster.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.36 - Stop Cluster

1.36.1 - 1.1

post /v1/clusters/{cluster_id}/stop

Description

Stop Cluster.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.36.2 - 1.0

post /v1/clusters/{cluster_id}/stop

Description

Stop Cluster.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.37 - Switchover Cluster

1.37.1 - 1.1

post /v1/clusters/{cluster_id}/switchover

Description

Switchover Cluster.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/switchover

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.37.2 - 1.0

post /v1/clusters/{cluster_id}/switchover

Description

Switchover Cluster.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/switchover

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.38 - Synchronize Cluster State

1.38.1 - 1.1

post /v1/clusters/{cluster_id}/sync-state

Description

Synchronize Cluster State.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/sync-state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.38.2 - 1.0

post /v1/clusters/{cluster_id}/sync-state

Description

Synchronize Cluster State.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/sync-state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.39 - Synchronize DR Secondary State

1.39.1 - 1.1

post /v1/clusters/{cluster_id}/dr-secondaries/sync-state

Description

Synchronize DR Secondary State.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/dr-secondaries/sync-state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.40 - Synchronize Parameter Values

1.40.1 - 1.1

post /v1/clusters/{cluster_id}/parameters/sync

Description

Synchronize Parameter Values.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters/sync

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.40.2 - 1.0

post /v1/clusters/{cluster_id}/parameters/sync

Description

Synchronize Parameter Values.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters/sync

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.41 - Terminate Cluster

1.41.1 - 1.1

delete /v1/clusters/{cluster_id}

Description

Terminate Cluster.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.41.2 - 1.0

delete /v1/clusters/{cluster_id}

Description

Terminate Cluster.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.42 - Unregister Log Export Config

1.42.1 - 1.1

delete /v1/clusters/{cluster_id}/log-export-configs/{log_type}

Description

Unregister Log Export Config.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.42.2 - 1.0

delete /v1/clusters/{cluster_id}/log-export-configs/{log_type}

Description

Unregister Log Export Config.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
[...]
